Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlMessagesRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessageRendererBase
                  org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessagesRendererBase

    public abstract class HtmlMessagesRendererBase

extends HtmlMessageRendererBase

Version:
  $Revision: 779713 $ $Date: 2009-05-28 13:30:18 -0500 (Thu, 28 May 2009) $
Author:
  Manfred Geiler (latest modification by $Author: lu4242 $)

Field Summary
`protected static String` | `LAYOUT_LIST`
`protected static String` | `LAYOUT_TABLE`

Constructor Summary
`HtmlMessagesRendererBase()`

Method Summary
`protected String` | `getComponentStyle(javax.faces.component.UIComponent messages)`
`protected String` | `getComponentStyleClass(javax.faces.component.UIComponent messages)`
`protected String` | `getLayout(javax.faces.component.UIComponent component)`
`static String[]` | `getStyleAndStyleClass(javax.faces.component.UIComponent messages, javax.faces.application.FacesMessage.Severity severity)`
`protected String` | `getTitle(javax.faces.component.UIComponent component)`
`protected boolean` | `isGlobalOnly(javax.faces.component.UIComponent component)`
`protected boolean` | `isShowDetail(javax.faces.component.UIComponent component)`
`protected boolean` | `isShowSummary(javax.faces.component.UIComponent component)`
`protected boolean` | `isTooltip(javax.faces.component.UIComponent component)`
`protected void` | `renderList(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent messages, org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessagesRendererBase.MessagesIterator messagesIterator)`
`protected void` | `renderMessages(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent messages)`
`protected void` | `renderTable(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent messages, org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessagesRendererBase.MessagesIterator messagesIterator)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessageRendererBase
`getDetail, getFor, getSummary, renderMessage, renderMessage, renderSingleFacesMessage, renderSingleFacesMessage, renderSingleFacesMessage`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYOUT_LIST

    protected static final String LAYOUT_LIST

See Also:
  Constant Field Values

### LAYOUT_TABLE

    protected static final String LAYOUT_TABLE

See Also:
  Constant Field Values

Constructor Detail

### HtmlMessagesRendererBase

    public HtmlMessagesRendererBase()

Method Detail

### renderMessages

    protected void renderMessages(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent messages)
                           throws IOException

  Throws:
    `IOException`

### renderList

    protected void renderList(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent messages,
                              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessagesRendererBase.MessagesIterator messagesIterator)
                       throws IOException

  Throws:
    `IOException`

### renderTable

    protected void renderTable(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent messages,
                               org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessagesRendererBase.MessagesIterator messagesIterator)
                        throws IOException

  Throws:
    `IOException`

### getStyleAndStyleClass

    public static String[] getStyleAndStyleClass(javax.faces.component.UIComponent messages,
                                                 javax.faces.application.FacesMessage.Severity severity)

### getComponentStyleClass

    protected String getComponentStyleClass(javax.faces.component.UIComponent messages)

### getComponentStyle

    protected String getComponentStyle(javax.faces.component.UIComponent messages)

### getTitle

    protected String getTitle(javax.faces.component.UIComponent component)

  Overrides:
    `getTitle` in class `HtmlMessageRendererBase`

### isTooltip

    protected boolean isTooltip(javax.faces.component.UIComponent component)

  Overrides:
    `isTooltip` in class `HtmlMessageRendererBase`

### isShowSummary

    protected boolean isShowSummary(javax.faces.component.UIComponent component)

  Overrides:
    `isShowSummary` in class `HtmlMessageRendererBase`

### isShowDetail

    protected boolean isShowDetail(javax.faces.component.UIComponent component)

  Overrides:
    `isShowDetail` in class `HtmlMessageRendererBase`

### isGlobalOnly

    protected boolean isGlobalOnly(javax.faces.component.UIComponent component)

### getLayout

    protected String getLayout(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.